#!/bin/bash

page_append()
{
    if [ -z "$1" ]; then
        echo "$2"
    elif [ -z "$2" ]; then
        echo "$1"
    else
        echo "$1,$2"
    fi
}

need_password_warning()
{
    local version="$1"
    if [ ! -z "$version" ] && [ "$version" -le "0054" ]; then
        return 0
    fi
    return 1
}

UPGRADE_PAGE_TITLE="重要通知"
PASSWORD_WARNING="密码强度规则已更新。但是，这些规则尚未应用于现有密码。建议检查或手动重置当前密码，以查看其是否符合更新的规则。"
CONFIRM_CHECK="Yes, I understand"

PASSWORD_WARNING_PAGE=$(/bin/cat<<EOF
{
    "step_title": "${UPGRADE_PAGE_TITLE}",
    "invalid_next_disabled_v2": true,
    "items": [{
        "type": "multiselect",
        "desc": "${PASSWORD_WARNING}",
        "subitems": [{
            "desc": "${CONFIRM_CHECK}",
            "defaultValue": false,
            "validator": {
                "fn": "{return arguments[0];}"
            }
        }]
    }]
}
EOF
)

main() {
    local install_page=""
    version=$(echo "$SYNOPKG_OLD_PKGVER" | cut -d- -f2)
    if need_password_warning "$version"; then
        install_page=$(page_append "$install_page" "$PASSWORD_WARNING_PAGE")
    fi
    echo "[$install_page]" > "${SYNOPKG_TEMP_LOGFILE}"
}
main "$@"
