#!/bin/bash

page_append()
{
    if [ -z "$1" ]; then
        echo "$2"
    elif [ -z "$2" ]; then
        echo "$1"
    else
        echo "$1,$2"
    fi
}

need_password_warning()
{
    local version="$1"
    if [ ! -z "$version" ] && [ "$version" -le "0054" ]; then
        return 0
    fi
    return 1
}

UPGRADE_PAGE_TITLE="Vigtigt"
PASSWORD_WARNING="Reglerne for adgangskodestyrke er blevet opdateret. Disse regler gælder dog ikke for eksisterende adgangskoder. Vi anbefaler, at du kontrollerer eller nulstiller din nuværende adgangskode manuelt for at se, om den overholder de opdaterede regler."
CONFIRM_CHECK="Yes, I understand"

PASSWORD_WARNING_PAGE=$(/bin/cat<<EOF
{
    "step_title": "${UPGRADE_PAGE_TITLE}",
    "invalid_next_disabled_v2": true,
    "items": [{
        "type": "multiselect",
        "desc": "${PASSWORD_WARNING}",
        "subitems": [{
            "desc": "${CONFIRM_CHECK}",
            "defaultValue": false,
            "validator": {
                "fn": "{return arguments[0];}"
            }
        }]
    }]
}
EOF
)

main() {
    local install_page=""
    version=$(echo "$SYNOPKG_OLD_PKGVER" | cut -d- -f2)
    if need_password_warning "$version"; then
        install_page=$(page_append "$install_page" "$PASSWORD_WARNING_PAGE")
    fi
    echo "[$install_page]" > "${SYNOPKG_TEMP_LOGFILE}"
}
main "$@"
